OfxPaymentRequest Class Reference
Inheritance diagram for OfxPaymentRequest:

## Public Member Functions

| OfxPaymentRequest (const OfxFiLogin &fi, const OfxAccountData &account, const OfxPayee &payee, const OfxPayment &payment)
Public Member Functions inherited from OfxRequest
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const std::string &msgtype, const std::string &trntype, const OfxAggregate &aggregate) const
Public Member Functions inherited from OfxAggregate
| OfxAggregate (const std::string &tag)
void | Add (const std::string &tag, const std::string &data)
void | AddXml (const std::string &tag, const std::string &data)
void | Add (const OfxAggregate &sub)
std::string | Output (void) const

## Additional Inherited Members

Protected Attributes inherited from OfxRequest
OfxFiLogin | m_login

## Detailed Description

Definition at line 81 of file ofx_request_statement.hh.

## Constructor & Destructor Documentation

## OfxPaymentRequest()

OfxPaymentRequest::OfxPaymentRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | const OfxPayee & | payee,
|  | const OfxPayment & | payment
| ) |  |

Creates the request aggregate to submit a payment to this `fi` on this `account`, to this `payee` as described by this @payment.

Parameters

  fi | The information needed to log on user into one financial institution
  account | The account from which the payment should be made
  payee | The payee who should receive the payment
  payment | The details of the payment

Definition at line 153 of file ofx_request_statement.cpp.

The documentation for this class was generated from the following files:

- ofx_request_statement.hh
- ofx_request_statement.cpp